package com.jjt.calc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.calc.domain.TwinCalcHour;
import org.apache.ibatis.annotations.Options;

import java.util.List;

/**
 * 1小时统计数据Mapper接口
 *
 * @author wukai
 * @date 2025-01-18
 */
public interface TwinCalcHourMapper extends BaseMapper<TwinCalcHour> {
    /**
     * 查询1小时统计数据
     *
     * @param id 1小时统计数据主键
     * @return 1小时统计数据
     */
    public TwinCalcHour selectTwinCalcHourById(Long id);

    /**
     * 查询1小时统计数据列表
     *
     * @param twinCalcHour 1小时统计数据
     * @return 1小时统计数据集合
     */
    public List<TwinCalcHour> selectTwinCalcHourList(TwinCalcHour twinCalcHour);

    /**
     * 新增1小时统计数据
     *
     * @param twinCalcHour 1小时统计数据
     * @return 结果
     */
    public int insertTwinCalcHour(TwinCalcHour twinCalcHour);

    /**
     * 修改1小时统计数据
     *
     * @param twinCalcHour 1小时统计数据
     * @return 结果
     */
    public int updateTwinCalcHour(TwinCalcHour twinCalcHour);

    /**
     * 删除1小时统计数据
     *
     * @param id 1小时统计数据主键
     * @return 结果
     */
    public int deleteTwinCalcHourById(Long id);

    /**
     * 批量删除1小时统计数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinCalcHourByIds(Long[] ids);
    /**
     * 获取数据库最后一条记录
     *
     * @return 对象
     */
    TwinCalcHour lastHour();
}
